# -*- coding: utf-8 -*-
from ppms.migration import SQLPacket, PacketCategory, MaxVersionDependency, VersionType



class AddQualityGateCopyColumn(SQLPacket):
    """Adds the Quality Gate Copy Checkbox"""
    done_after_success = True
    run_on_startup = True
    category = PacketCategory.CATEGORY_MANDATORY
    wi_number = 20552

    sql_script = 'WI20552_add_quality_gate_copy_checkbox.sql'

    def get_dependencies(self):
        return MaxVersionDependency(version='39.5.10', version_type=VersionType.CUSTOMIZING),

    def fix(self, packet_runner):
        self.apply_dml_file(self.sql_planta_de_dbms, self.sql_script,split=True)
        self.log("Schema changes done!.")
        return self.success()